root@cmts:/etc/asterisk# cat modules.conf 
;
; Asterisk configuration file
;
; Module Loader configuration file
;

[modules]
autoload=yes
;autoload=no

; codecs
load => codec_ulaw.so
load => codec_alaw.so
load => codec_gsm.so
load => codec_adpcm.so
load => codec_a_mu.so
load => codec_g723.so
load => codec_g726.so
load => codec_g729.so
;load => codec_ilbc.so
load => codec_lpc10.so

; fomats ??
load => format_pcm.so
load => format_gsm.so
load => format_wav_gsm.so
load => format_wav.so
load => format_g729.so
load => format_g726.so

load => format_g723.so
load => format_h263.so
load => format_h264.so
;load => format_ilbc.so
load => format_jpeg.so
load => format_mp3.so
;load => format_sln.so
;load => format_vox.so


; channels
;load => chan_agent.so  
;load => chan_iax2.so   
;load => chan_local.so  
load => chan_mgcp.so   
;load => chan_ooh323.so 
;load => chan_oss.so    
;load => chan_phone.so  
load => chan_sip.so    
;load => chan_skinny.so 
;load => chan_zap.so  

load => res_smdi.so
; Applications
load => app_dial.so         ; Dial command
load => app_macro.so        ; Macro command
load => app_playback.so     ; Playback command
load => app_voicemail.so    ; Voicemail command
load => app_hasnewvoicemail.so  ; HasNewVoicemail, HasVoicemail & VMCOUNT commandsa
load => app_echo.so         ; Echo command
load => app_sayunixtime.so  ; SayUnixTime & DateTime commands
load => app_chanisavail.so  ; ChainIsAvail command 
load => app_adsiprog.so ;??
;app_cdr.so
;app_forkcdr.so
;app_setcdruserfield.so
;func_cdr.so
load => app_wakeup.so       ; Wake Up by Interlink
load => app_disa.so         ; Dial tone 

; Other
load => pbx_realtime.so ; Asterisk Realtime
load => pbx_config.so   ; Parse extensions.conf
load => pbx_spool.so    ; Dial out from /var/spool/asterisk/outgoing
load => res_features.so ; used by chan_sip.so

load => res_config_mysql.so ; MySQL RealTime
load => res_adsi.so ;??
load => func_callerid.so
load => func_realtime.so; Realtime() function

; CDR Backends
load => cdr_csv.so
;load => cdr_pgsql.so
load => cdr_addon_mysql.so
;load => cdr_custom.so
;load => cdr_manager.so

;
; Any modules that need to be loaded before the Asterisk core has been
; initialized (just after the logger has been initialized) can be loaded
; using 'preload'. This will frequently be needed if you wish to map all
; module configuration files into Realtime storage, since the Realtime
; driver will need to be loaded before the modules using those configuration
; files are initialized.
;
; An example of loading ODBC support would be:
;preload => res_odbc.so
;preload => res_config_odbc.so
;
; Uncomment the following if you wish to use the Speech Recognition API
;preload => res_speech.so
;
; If you want, load the GTK console right away.  
; Don't load the KDE console since
; it's not as sophisticated right now.
;
noload => pbx_gtkconsole.so
;load => pbx_gtkconsole.so
noload => pbx_kdeconsole.so
;
noload => res_musiconhold.so
;
; Load either OSS or ALSA, not both
; By default, load OSS only (automatically) and do not load ALSA
;
noload => chan_alsa.so
noload => chan_oss.so
